Package: java.time

## Class Instant

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Instant` | `minus(long seconds)` Returns an Instant that is `seconds` seconds before this instant.
    `Instant` | `next()` Returns an Instant that is one second after this instant.
    `Instant` | `plus(long seconds)` Returns an Instant that is `seconds` seconds after this instant.
    `Instant` | `previous()` Returns an Instant that one second before this instant.
    `Calendar` | `toCalendar()` Returns a generally equivalent Calendar in the GMT time zone, truncated to milliseconds.
    `Date` | `toDate()` Returns a generally equivalent Date according the number of milliseconds since the epoch, adjusted into the system default time zone.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.time.temporal.Temporal

    `downto`, `downto`, `rightShift`, `upto`, `upto`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

  - #### Methods inherited from interface java.time.temporal.TemporalAccessor

    `getAt`, `getAt`

- - ### Methods Detail

    - #### public Instant minus(long seconds)

      Returns an Instant that is `seconds` seconds before this instant.

      Parameters:
        `seconds` - the number of seconds to subtract
      Returns:
        an Instant
      Since:
        2.5.0

    - #### public Instant next()

      Returns an Instant that is one second after this instant.

      Returns:
        an Instant one-second ahead
      Since:
        2.5.0

    - #### public Instant plus(long seconds)

      Returns an Instant that is `seconds` seconds after this instant.

      Parameters:
        `seconds` - the number of seconds to add
      Returns:
        an Instant
      Since:
        2.5.0

    - #### public Instant previous()

      Returns an Instant that one second before this instant.

      Returns:
        an Instant one-second behind
      Since:
        2.5.0

    - #### public Calendar toCalendar()

      Returns a generally equivalent Calendar in the GMT time zone, truncated to milliseconds.

      Returns:
        a Calendar
      Since:
        2.5.0

    - #### public Date toDate()

      Returns a generally equivalent Date according the number of milliseconds since the epoch, adjusted into the system default time zone.

      Returns:
        a Date
      Since:
        2.5.0